import { useEffect, useState } from 'react';
import { getCurrentStatus } from '../get-current-status';
export const useCurrentStatus = ({ deep, containerLinkId }) => {
    const [currentStatus, setCurrentStatus] = useState(undefined);
    useEffect(() => {
        loadCurrentStatus();
    }, [deep]);
    const loadCurrentStatus = async () => {
        setCurrentStatus(await getCurrentStatus({ deep, containerLinkId }));
    };
    return { currentStatus, loadCurrentStatus };
};
